Preview
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/bulk-edit/components/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parents": [
{
"slotId": "<string>",
"slotVersion": 123,
"primaryItemId": "<string>",
"primaryItemVersion": 4503599627370495
}
],
"componentIds": [
"<string>"
]
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/bulk-edit/components/preview"
payload = {
"parents": [
{
"slotId": "<string>",
"slotVersion": 123,
"primaryItemId": "<string>",
"primaryItemVersion": 4503599627370495
}
],
"componentIds": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
parents: [
{
slotId: '<string>',
slotVersion: 123,
primaryItemId: '<string>',
primaryItemVersion: 4503599627370495
}
],
componentIds: ['<string>']
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/bulk-edit/components/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"selectedCount": 123,
"parents": [
{
"slotId": "<string>",
"slotVersion": 123,
"primaryItemId": "<string>",
"primaryItemVersion": 123
}
],
"targets": [
{
"componentId": "<string>",
"componentVersion": 123,
"catalogFamilyId": "<string>",
"catalogItemId": "<string>",
"catalogItemSourceId": "<string>",
"links": [
{
"parentId": "<string>",
"parentItemId": "<string>",
"linkId": "<string>"
}
],
"name": "<string>"
}
],
"fields": [
{
"fieldKey": "<string>",
"label": "<string>",
"type": {},
"options": [
{}
],
"nullable": true,
"valueFormat": "attribute",
"eligibility": "unavailable",
"reason": "<string>",
"requiresCoreChangeIntent": true,
"values": [
{
"value": "<string>",
"componentId": "<string>"
}
],
"precision": 123,
"scale": 123
}
],
"impact": {
"selectedParentCount": 123,
"additionalParentCount": 123,
"affectedProjectCount": 123
},
"selectionMode": "<string>"
}Specification Component Bulk Edit
Preview
POST
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
item-slots
/
bulk-edit
/
components
/
preview
Preview
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
⌘I